org.richfaces.component

## Class AbstractMediaOutput

- java.lang.Object
- - javax.faces.component.UIComponent
  - - javax.faces.component.UIComponentBase
    - - javax.faces.component.UIOutput
      - - org.richfaces.component.AbstractMediaOutput

- All Implemented Interfaces:
    EventListener, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.component.ValueHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder
  Direct Known Subclasses:
    UIMediaOutput

      public abstract class AbstractMediaOutput
      extends javax.faces.component.UIOutput

  The <a4j:mediaOutput> component is used for generating images, video, sounds, and other resources defined on the fly.

  Author:
    shura

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `COMPONENT_FAMILY`
    `static String` | `COMPONENT_TYPE`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractMediaOutput()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract String` | `getAccesskey()`
    `abstract String` | `getAlign()` Deprecated.
    `abstract String` | `getArchive()` Specifies a space-separated list of URIs
    `abstract String` | `getBorder()` Deprecated.
    `abstract String` | `getCharset()` The character encoding of a resource designated by this hyperlink
    `abstract String` | `getClassid()` Identifies an implementation
    `abstract String` | `getCodebase()` Base URI for classid, data, archive
    `abstract String` | `getCodetype()` Defines content type for code
    `abstract String` | `getCoords()` The attribute specifies shape and it position on the screen.
    `abstract javax.el.MethodExpression` | `getCreateContent()` Method call expression to send generated resource to OutputStream.
    `abstract String` | `getDeclare()` Declare but don't instantiate flag
    `abstract String` | `getDir()`
    `abstract String` | `getElement()` Get Element name for rendering ( imj , a , object, applet ).
    `abstract Date` | `getExpires()` The attribute allows to manage caching and defines the period after which a resource is reloaded.
    `abstract String` | `getFileName()` Filename of the resource to be served
    `abstract String` | `getHreflang()` Base language of a resource specified with the href attribute; hreflang may only be used with href
    `abstract String` | `getHspace()` Deprecated.
    `abstract String` | `getLang()`
    `abstract Date` | `getLastModified()` The attribute allows to manage caching.
    `abstract String` | `getMimeType()` Geterated content mime-type for append to response header ( 'image/jpeg' etc )
    `abstract String` | `getOnblur()`
    `abstract String` | `getOnclick()`
    `abstract String` | `getOndblclick()`
    `abstract String` | `getOnfocus()`
    `abstract String` | `getOnkeydown()`
    `abstract String` | `getOnkeypress()`
    `abstract String` | `getOnkeyup()`
    `abstract String` | `getOnmousedown()`
    `abstract String` | `getOnmousemove()`
    `abstract String` | `getOnmouseout()`
    `abstract String` | `getOnmouseover()`
    `abstract String` | `getOnmouseup()`
    `abstract String` | `getRel()` The relationship from the current document to the anchor specified by this hyperlink.
    `javax.faces.application.Resource` | `getResource()`
    `abstract String` | `getRev()` A reverse link from the anchor specified by this hyperlink to the current document.
    `abstract String` | `getShape()` This attribute specifies the shape of a region.
    `abstract String` | `getStandby()` Message to show while loading
    `abstract String` | `getStyle()` CSS style rules to be applied to the component
    `abstract String` | `getStyleClass()` Assigns one or more CSS class names to the component.
    `abstract String` | `getTabindex()` This attribute specifies the position of the current element in the tabbing order for the current document.
    `abstract String` | `getTarget()` This attribute specifies the name of a frame where a document is to be opened.
    `abstract String` | `getTitle()` Advisory title information about markup elements generated for this component
    `abstract String` | `getType()` The content type of the resource designated by this hyperlink
    `abstract String` | `getUriAttribute()` Get URI attribute for resource ( src for images, href for links etc ).
    `abstract String` | `getUsemap()` Specifies an image as a client-side image-map
    `abstract Object` | `getValue()` Data value calculated at render time and stored in URI (also as part of cache Key ), at generation time passed to send method.
    `abstract String` | `getVspace()` Deprecated.
    `abstract boolean` | `isCacheable()` Attribute is a flag that defines the caching strategy.
    `abstract boolean` | `isIsmap()` Use server-side image map
    `abstract void` | `setCreateContent(javax.el.MethodExpression createContent)`

    - ### Methods inherited from class javax.faces.component.UIOutput

      `clearInitialState, getConverter, getFamily, getLocalValue, markInitialState, resetValue, restoreState, saveState, setConverter, setValue`

    - ### Methods inherited from class javax.faces.component.UIComponentBase

      `addClientBehavior, addFacesListener, broadcast, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getDefaultEventName, getEventNames, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getPassThroughAttributes, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, subscribeToEvent, unsubscribeFromEvent`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getPassThroughAttributes, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, setValueExpression, visitTree`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### COMPONENT_TYPE

          public static final String COMPONENT_TYPE

      See Also:
        Constant Field Values

    - #### COMPONENT_FAMILY

          public static final String COMPONENT_FAMILY

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### AbstractMediaOutput

          public AbstractMediaOutput()

  - ### Method Detail

    - #### getResource

          public javax.faces.application.Resource getResource()

    - #### getUriAttribute

          public abstract String getUriAttribute()

      Get URI attribute for resource ( src for images, href for links etc ).

    - #### getElement

          public abstract String getElement()

      Get Element name for rendering ( imj , a , object, applet ).

    - #### getAccesskey

          public abstract String getAccesskey()

    - #### getAlign

          public abstract String getAlign()

      Deprecated. This attribute specifies the position of an IMG, OBJECT, or APPLET with respect to its context. The possible values are "bottom", "middle", "top", "left" and "right". The default value is "middle".

    - #### getArchive

          public abstract String getArchive()

      Specifies a space-separated list of URIs

    - #### getBorder

          public abstract String getBorder()

      Deprecated. This attribute specifies the width of an IMG or OBJECT border, in pixels. The default value for this attribute depends on the user agent

    - #### isCacheable

          public abstract boolean isCacheable()

      Attribute is a flag that defines the caching strategy. If 'cacheable' is set to false, the response will not be cached. If it is set to true, it will be cached and the serialized value of 'value' attribute plays the role of a cache key.

    - #### getCharset

          public abstract String getCharset()

      The character encoding of a resource designated by this hyperlink

    - #### getClassid

          public abstract String getClassid()

      Identifies an implementation

    - #### getCodebase

          public abstract String getCodebase()

      Base URI for classid, data, archive

    - #### getCodetype

          public abstract String getCodetype()

      Defines content type for code

    - #### getCoords

          public abstract String getCoords()

      The attribute specifies shape and it position on the screen. Possible values: "rect: left-x, top-y, right-x, bottom-y", "circle: center-x, center-y, radius", "poly: x1, y1, x2, y2, ..., xN, yN".

      Notes:

      1. when giving the radius value in percents, user agents should calculate the final radius value in pixels based on the associated object's width and height;
      2. the radius value should be smaller than center-x and center-y values;
      3. for a polygon, the first and last coordinate pairs should have same x and y to close the shape (x1=xN; y1=yN) (when these coordinates are different, user agents should infer an additional pair to close a polygon).
      Coordinates are relative to the top left corner of an object. All values are lengths. All values are comma separated.

    - #### getDeclare

          public abstract String getDeclare()

      Declare but don't instantiate flag

    - #### getDir

          public abstract String getDir()

    - #### getExpires

          public abstract Date getExpires()

      The attribute allows to manage caching and defines the period after which a resource is reloaded.

    - #### getHreflang

          public abstract String getHreflang()

      Base language of a resource specified with the href attribute; hreflang may only be used with href

    - #### getHspace

          public abstract String getHspace()

      Deprecated. This attribute specifies the amount of white space to be inserted to the left and right of an IMG, APPLET, or OBJECT. The default value is not specified, but is generally a small, non-zero length

    - #### isIsmap

          public abstract boolean isIsmap()

      Use server-side image map

    - #### getLang

          public abstract String getLang()

    - #### getLastModified

          public abstract Date getLastModified()

      The attribute allows to manage caching. A browser can send request with the header "If-Modified-Since" for necessity of object reloading. If time of modification is earlier, then the framework doesn't call generation and return code 304.

    - #### getMimeType

          public abstract String getMimeType()

      Geterated content mime-type for append to response header ( 'image/jpeg' etc )

    - #### getCreateContent

          public abstract javax.el.MethodExpression getCreateContent()

      Method call expression to send generated resource to OutputStream. It must have two parameter with a type of java.io.OutputStream and java.lang.Object ( deserialized value of data attribute )

    - #### setCreateContent

          public abstract void setCreateContent(javax.el.MethodExpression createContent)

    - #### getRel

          public abstract String getRel()

      The relationship from the current document to the anchor specified by this hyperlink. The value of this attribute is a space-separated list of link types

    - #### getRev

          public abstract String getRev()

      A reverse link from the anchor specified by this hyperlink to the current document. The value of this attribute is a space-separated list of link types

    - #### getShape

          public abstract String getShape()

      This attribute specifies the shape of a region. The possible values are "default", "rect", "circle" and "poly".

    - #### getStandby

          public abstract String getStandby()

      Message to show while loading

    - #### getStyle

          public abstract String getStyle()

      CSS style rules to be applied to the component

    - #### getStyleClass

          public abstract String getStyleClass()

      Assigns one or more CSS class names to the component. Corresponds to the HTML "class" attribute.

    - #### getTabindex

          public abstract String getTabindex()

      This attribute specifies the position of the current element in the tabbing order for the current document. This value must be a number between 0 and 32767. User agents should ignore leading zeros

    - #### getTarget

          public abstract String getTarget()

      This attribute specifies the name of a frame where a document is to be opened. By assigning a name to a frame via the name attribute, authors can refer to it as the "target" of links defined by other elements

    - #### getTitle

          public abstract String getTitle()

      Advisory title information about markup elements generated for this component

    - #### getType

          public abstract String getType()

      The content type of the resource designated by this hyperlink

    - #### getUsemap

          public abstract String getUsemap()

      Specifies an image as a client-side image-map

    - #### getVspace

          public abstract String getVspace()

      Deprecated. This attribute specifies the amount of white space to be inserted above and below an IMG, APPLET, or OBJECT. The default value is not specified, but is generally a small, non-zero length

    - #### getFileName

          public abstract String getFileName()

      Filename of the resource to be served

    - #### getValue

          public abstract Object getValue()

      Data value calculated at render time and stored in URI (also as part of cache Key ), at generation time passed to send method. Can be used for update cache at change of generating conditions, and for creating beans as "Lightweight" pattern components (request scope).

      IMPORTANT: Since serialized data stored in URI, avoid using big objects.

      Specified by:
        `getValue` in interface `javax.faces.component.ValueHolder`
      Overrides:
        `getValue` in class `javax.faces.component.UIOutput`

    - #### getOnblur

          public abstract String getOnblur()

    - #### getOnclick

          public abstract String getOnclick()

    - #### getOndblclick

          public abstract String getOndblclick()

    - #### getOnfocus

          public abstract String getOnfocus()

    - #### getOnkeydown

          public abstract String getOnkeydown()

    - #### getOnkeypress

          public abstract String getOnkeypress()

    - #### getOnkeyup

          public abstract String getOnkeyup()

    - #### getOnmousedown

          public abstract String getOnmousedown()

    - #### getOnmousemove

          public abstract String getOnmousemove()

    - #### getOnmouseout

          public abstract String getOnmouseout()

    - #### getOnmouseover

          public abstract String getOnmouseover()

    - #### getOnmouseup

          public abstract String getOnmouseup()

Copyright © 2014 JBoss by Red Hat. All rights reserved.